
QGIS Application - Bug report #20704

QGIS 3.4.2. LTR - Win10 - Crashes *every time* at Settings ==> Options.

2018-12-03 02:58 PM - Robert Danziger

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28524

Description

User Feedback

3.4.2. - Win10 - Crashes every time at Settings ==> Options. Tried 'n' reinstalls (OSgeo4w; Stand alone). Deleted everything cleaned

registry, etc. but always crashes after reinstall.

Report Details

Crash ID: 6ca4f3bfcc8e91402d2558535b29171b5627dbad

Stack Trace

QAction::setIcon :

QgisApp::setTheme :

QgsOptions::uiThemeChanged :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

QgsOptions::QgsOptions :

QgisApp::createOptionsDialog :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-03 03:42 PM - Jürgen Fischer

A nightly in a non "en" environment?  There was a recent change that checks that the option tabs are named correctly in dev builds and close the

application if the aren't. Which happens in localized environments as the names don't match - although they should.  Didn't yet get to the bottom of it -

apparently another translation initialization issue.

#2 - 2018-12-03 04:16 PM - stefano nardone

It happens also to me the same crash, and with previous 3.4.1 too :

User Feedback

Win 10 pro 64 on dell xps 15 16gb ram

Just installed qgis 3.4.2 with grass 7.4.2

with OsGEO4W installer

crash as soon as I choose in the menu Settings - Options

Report Details

Crash ID: 452ad6c5c156924baee2fd79612a09da73062e9e

Stack Trace

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetPlatformIDs :

clEnqueueTask :

clEnqueueWriteBufferRect :

clEnqueueWriteBufferRect :

clWaitForEvents :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

clGetPlatformIDs :

QgsOpenClUtils::errorText :

QgsOpenClUtils::activate :

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :
RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsOpenClUtils::init :

QgsOpenClUtils::available :

QgsOptions::QgsOptions :

QgisApp::createOptionsDialog :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2018-12-03 04:30 PM - Alessandro Pasotti

@Stefano, yours is #20363

#4 - 2018-12-03 07:50 PM - Robert Danziger

Hello -- without wanting to confuse the issue with something else -- maybe it is relevant for you to know that I also had a problem with Plug-Ins on this

version (also 3.4.1). 

Though, as  I mentioned, I installed both from Osgeo and QGIS download, the Plug-In tab always showed me very few installed items and no additional

ones (under "All"). Under the Python tab, I received a message that Python was not available and thus no Python plugs-in were shown.

I reinstalled  the last LTR 2.1.8  from Osgeo and everything works just fine; no crashes and all needed plugs-in show their availability.
#5 - 2018-12-04 04:55 PM - stefano nardone

Alessandro Pasotti wrote:

@Stefano, yours is #20363

ok, thanks

#6 - 2018-12-05 05:43 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Robert Danziger wrote:

Hello -- without wanting to confuse the issue with something else -- maybe it is relevant for you to know that I also had a problem with Plug-Ins on

this version (also 3.4.1). 

Though, as  I mentioned, I installed both from Osgeo and QGIS download, the Plug-In tab always showed me very few installed items and no

additional ones (under "All"). Under the Python tab, I received a message that Python was not available and thus no Python plugs-in were shown.

it seems you have local issues.

Please try to get a working installation of QGIS 3.4.2 with python support, and check if you still the the crash with NO 3rd party plugins installed (you can

use a new/clean profile).

#7 - 2019-02-24 01:12 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
